Downgrade iTunes

Nachdem ich gestern ein Update auf iTunes 10.4 gemacht habe, ließ sich die Anwendung nicht mehr starten. Auch die erneute, manuelle Installation (und nicht über den Update Mechanismus) der aktuellsten Version hat nichts gebracht. Wer eine Lösung zu dem Problem hat, kann das gerne in den Kommentaren posten, ansonsten werde ich mich nicht mehr weiter mit dem Problem beschäftigen und auf die nächste Version warten.
Meine Lösung besteht zunächst darin, einfach wieder eine alte Version von iTunes zu verwenden, die bekommt man bei http://www.oldapps.com/itunes.php. Wenn iTunes sich nach der Installation nicht starten lässt, müsst ihr ggf. Quicktime neu installieren oder einfach nur reparieren. Nachdem iTunes dann aber startet kommt die Meldung:

Die Datei „iTunes Library.itl“ konnte nicht gelesen werden, da sie von einer neueren Version von iTunes erstellt wurde

Gut das iTunes die älteren Versionen der Library speichert, diese liegen im iTunes Ordner „Previous iTunes Libraries“.
Ihr könnt die „iTunes Library.itl“ einfach in „iTunes LibraryAlt.itl“ umbenennen und die letzte Version der itl Datei aus den „Previous iTunes Libraries“ kopieren. Dem Dateinamen wird ein Datum angehängt, sie heißt irgendwie so: „iTunes Library 2011-08-06.itl“.
Nachdem die Datei umbenannt worden ist und wieder einfach nur „iTunes Library.itl“ heißt funktioniert auch die ältere Version von iTunes wieder.
Bleibt noch zu hoffen, dass Version 10.5 auch wieder bei mir funktioniert.

3 Gedanken zu “Downgrade iTunes

  1. Hallo,

    ich hatte genau das gleiche Problem und konnte nun dank deiner Erklärung den Fehler beheben.
    Vielen Dank dafür :-))

  2. hallo!

    Ich habe heute nach langem meinen mac bekommen mit maverick drauf.
    Ich hatte davor nur windows und habe seit der itunes 9version nicht mehr upgedatet da ich kein freund von den neuen Versionen bin.
    Ich habe schon befürchtet,dass es bei meinem neuen mac keine Möglichkeit gibt
    die alte version zu installieren. (hab mich bei apple und freunden informiert und alle meinten das geht nicht mehr.)

    das erste was ich nach auspacken gemacht hab ist google zu nutzen um zu schauen ob es geht…

    Mit der kombi von diesem vid

    https://www.youtube.com/watch?v=4BpWzUsasEo

    und deiner Beschreibung mit der libery alt funktioniert die 9er version 🙂

    10000 dank!!!!
    wünsch dir alles gute

    Lg g.

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert.